Skip to main content
POST
/
v1
/
consent
/
{consentToken}
/
approve
Approve consent request
curl --request POST \
  --url https://idaas.yourflexpay.com/api/v1/consent/{consentToken}/approve \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "<string>",
  "errorCode": "<string>",
  "data": {
    "token": "<string>",
    "expiresAt": 123,
    "tag": "<string>",
    "subjectId": "<string>",
    "consentId": "<string>"
  },
  "errors": [
    "<string>"
  ],
  "timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Obtain a token from POST /v1/auth/token using your client_id and client_secret, then enter Bearer <token> here.

Path Parameters

Response

Consent approved and attestation token issued

success
boolean
message
string
errorCode
string
data
object
errors
string[]
timestamp
string<date-time>